{
    "doc": "Consent Status for GMS",
    "fields": [
        {
            "doc": "Is this individual consented to the programme? It could simply be a family member that is not consented\nbut for whom affection status is known",
            "name": "programmeConsent",
            "type": {
                "doc": "clinicalEthnicities supersedes Ancestries in GMS",
                "name": "GenericConsent",
                "symbols": [
                    "yes",
                    "no",
                    "undefined",
                    "not_applicable"
                ],
                "type": "enum"
            }
        },
        {
            "doc": "Consent for feedback of primary findings?\nRD: Primary Findings\nCancer: PrimaryFindings is somatic + pertinent germline findings",
            "name": "primaryFindingConsent",
            "type": "GenericConsent"
        },
        {
            "doc": "Research Consent",
            "name": "researchConsent",
            "type": "GenericConsent"
        },
        {
            "doc": "Consent for secondary health related findings?",
            "name": "healthRelatedFindingConsent",
            "type": "GenericConsent"
        },
        {
            "doc": "Consent for carrier status check?",
            "name": "carrierStatusConsent",
            "type": "GenericConsent"
        },
        {
            "doc": "Consent for pharmacogenomics consent as secondary findings?",
            "name": "pharmacogenomicsFindingConsent",
            "type": "GenericConsent"
        }
    ],
    "name": "GmsConsentStatus",
    "namespace": "org.gel.models.participant.avro",
    "type": "record"
}